// Generated by Selenium IDE
const { Builder, By, Key, until } = require('selenium-webdriver')
const assert = require('assert')

describe('Filtering works', function() {
  this.timeout(30000)
  let driver
  let vars
  beforeEach(async function() {
    driver = await new Builder().forBrowser(require('../../../envHelpers').getBrowser()).build()
    vars = {}
  })
  afterEach(async function() {
    await driver.quit();
  })
  it('Filtering works', async function() {
    await driver.get("http://advp44.gm.fh-koeln.de:8080/")

    await driver.manage().setTimeouts({ implicit: 3000 });

    await driver.findElement(By.xpath("(//input[@type=\'text\'])[5]")).click()
    await driver.findElement(By.xpath("//div[@id=\'SMUI-autocomplete-4-menu\']/ul/li")).click()
    await driver.findElement(By.css(".fc-day:nth-child(2) .fc-event-main > div")).click()
    const text = await driver.findElement(By.css("div:nth-child(1) > span:nth-child(2)")).getText()
    assert(text.includes("Stefan Bente"))
  })
})
